Package de.willuhn.jameica.hbci.io

# Class UmsatzTreeSummaryExporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractUmsatzTreeExporter
de.willuhn.jameica.hbci.io.UmsatzTreeSummaryExporter

All Implemented Interfaces:
  `Exporter`, `IO`

public class UmsatzTreeSummaryExporter extends AbstractUmsatzTreeExporter
Exporter fuer einen Tree von Umsaetzen im PDF-Format. Hierbei werden nur die Summen der einzelnen Kategorien exportiert.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.io.AbstractUmsatzTreeExporter

`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.io.Exporter

`SESSION`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTreeSummaryExporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor)`
Exportiert die genannten Objekte in den angegebenen OutputStream.
`String`
`getName()`
Liefert einen sprechenden Namen des Exporters/Importers.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractUmsatzTreeExporter

`getIOFormats, getSubTitle, suppportsExtension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTreeSummaryExporter

public UmsatzTreeSummaryExporter()

## Method Details

### doExport

public void doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Exporter`
Exportiert die genannten Objekte in den angegebenen OutputStream.

Parameters:
  `objects` - die zu exportierenden Objekte.
  `format` - das vom User ausgewaehlte Export-Format.
  `os` - der Ziel-Ausgabe-Stream. Der Exporter muss den OutputStream selbst schliessen!
  `monitor` - ein Monitor, an den der Exporter Ausgaben ueber seinen Bearbeitungszustand ausgeben kann.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getName

public String getName()
Description copied from interface: `IO`
Liefert einen sprechenden Namen des Exporters/Importers. Z.Bsp. "Swift MT-940 Format".

Returns:
  Name